package com.java2s.common;

import java.util.Date;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

import org.springframework.transaction.annotation.Transactional;

@Transactional
public class PersonDaoImpl {
  public void test() {
    Employee emp = new Employee();
    emp.setName("Tom");
    emp.setId(1);

    Address addr = new Address();
    addr.setId(1);
    addr.setStreet("street");
    addr.setCity("city");
    addr.setState("state");
    emp.setAddress(addr);
    em.persist(emp);

    emp = em.find(Employee.class, 1);
    addr = emp.getAddress();
    emp.setAddress(null);
    em.remove(addr);
  }

  @PersistenceContext
  private EntityManager em;
}
